Discover Sddc Manager

Discover Sddc Manager
Discover SDDC Manager topology

Discover SDDC Manager topology and its adjacent topology such as its management vCenter, VCF Operations collector, etc.

Request
URI
POST
https://{api_host}/v1/sddcs/sddcm-discovery
COPY
Request Body
SddcManagerDiscoverySpec of type(s) application/json
Required
{
    "address": "string",
    "adminUsername": "string",
    "adminPassword": "string",
    "sslThumbprint": "3D:D0:EE:B5:A0:CC:45:08:5C:4F:84:51:CD:00:B6:41:BB:4A:A2:9A:77:1C:A6:4C:6D:84:5A:D0:4F:68:7A:B8"
}
string
address
Required

SDDC Manager instance address.

string
adminUsername
Required

Admin username.

string
adminPassword
Required

Admin password.

string
sslThumbprint
Required

SDDC Manager SSL thumbprint (SHA256).

Responses
200

OK

Returns SddcManagerDiscoveryResult of type(s) application/json
{
    "sddcManager": {
        "fqdn": "string",
        "version": "string",
        "vcfInstanceName": "string"
    },
    "managementVcenter": {
        "fqdn": "string",
        "version": "string",
        "status": "string"
    },
    "vcfManagementComponents": {
        "vcfOperationsFleetManagement": {
            "fqdn": "vcf-operations-fleet-management.rainpole.io",
            "deploymentStatus": "SUCCEEDED",
            "deploymentType": "NEW"
        },
        "vcfOperations": {
            "nodes": [
                {
                    "fqdn": "vcfoperations-master.rainpole.io",
                    "type": "master"
                }
            ],
            "loadBalancerFqdn": "vcf-operations-load-balancer.rainpole.io",
            "deploymentStatus": "SUCCEEDED",
            "deploymentType": "NEW"
        },
        "vcfOperationsCollector": {
            "fqdn": "vcf-operations-collector.rainpole.io",
            "deploymentStatus": "SUCCEEDED",
            "deploymentType": "NEW"
        },
        "vcfAutomation": {
            "fqdn": "vcfautomation.rainpole.io",
            "deploymentStatus": "SUCCEEDED",
            "deploymentType": "NEW"
        },
        "vspCluster": {
            "fqdn": "vspcluster.rainpole.io",
            "deploymentStatus": "SUCCEEDED",
            "deploymentType": "NEW"
        },
        "sddcLcm": {
            "fqdn": "sddclcm.rainpole.io",
            "deploymentStatus": "SUCCEEDED",
            "deploymentType": "NEW"
        },
        "fleetLcm": {
            "fqdn": "fleetlcm.rainpole.io",
            "deploymentStatus": "SUCCEEDED",
            "deploymentType": "NEW"
        },
        "vcfOperationsLogs": {
            "fqdn": "vcf-ops-logs.rainpole.io",
            "deploymentStatus": "SUCCEEDED",
            "deploymentType": "NEW"
        },
        "telemetryAcceptor": {
            "deploymentStatus": "SUCCEEDED",
            "deploymentType": "NEW"
        },
        "vidb": {
            "fqdn": "vidb.vcf.local",
            "deploymentStatus": "SUCCEEDED",
            "deploymentType": "NEW"
        },
        "salt": {
            "deploymentStatus": "SUCCEEDED",
            "deploymentType": "NEW"
        },
        "saltRaas": {
            "deploymentStatus": "SUCCEEDED",
            "deploymentType": "NEW"
        }
    }
}
object
sddcManager
Optional

SDDC Manager instance details.

object
managementVcenter
Optional

vCenter instance info.

object
vcfManagementComponents
Optional

VCF Management Components


400

Bad Request

Returns Error of type(s) application/json
{
    "errorCode": "string",
    "errorType": "string",
    "arguments": [
        "string"
    ],
    "context": {
        "context": "string"
    },
    "notifications": [
        {
            "severity": "string",
            "message": "string",
            "remediations": [
                {
                    "message": "string",
                    "link": "string"
                }
            ],
            "impactMessage": "string"
        }
    ],
    "message": "string",
    "remediationMessage": "string",
    "causes": [
        {
            "type": "string",
            "message": "string"
        }
    ],
    "nestedErrors": [
        {
            "errorCode": "string",
            "errorType": "string",
            "arguments": [
                "string"
            ],
            "context": {
                "context": "string"
            },
            "notifications": [
                {
                    "severity": "string",
                    "message": "string",
                    "remediations": [
                        {
                            "message": "string",
                            "link": "string"
                        }
                    ],
                    "impactMessage": "string"
                }
            ],
            "message": "string",
            "remediationMessage": "string",
            "causes": [
                {
                    "type": "string",
                    "message": "string"
                }
            ],
            "nestedErrors": [
                "Error Object"
            ],
            "referenceToken": "string",
            "label": "string",
            "remediationUrl": "string"
        }
    ],
    "referenceToken": "string",
    "label": "string",
    "remediationUrl": "string"
}
string
errorCode
Optional

The minor error code

string
errorType
Optional

The error type

array of string
arguments
Optional

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Optional

The error context (e.g. the component where it occurred).

array of object
notifications
Optional

Detailed results of the precheck validation.

string
message
Optional

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of object
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Optional

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Optional

The localized label message

string
remediationUrl
Optional

The URL string for remediation documentation link


500

InternalServerError

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Optional

The minor error code

string
errorType
Optional

The error type

array of string
arguments
Optional

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Optional

The error context (e.g. the component where it occurred).

array of object
notifications
Optional

Detailed results of the precheck validation.

string
message
Optional

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Optional

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Optional

The localized label message

string
remediationUrl
Optional

The URL string for remediation documentation link


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"address":"string","adminPassword":"string","adminUsername":"string","sslThumbprint":"string"}' https://{api_host}/v1/sddcs/sddcm-discovery